Last Comment Bug 121176 - walking through thread pane with preview collapsed should set title to folder name
: walking through thread pane with preview collapsed should set title to folder...
Status: RESOLVED FIXED
: fixed-seamonkey1.0.2, fixed-seamonkey1.1a, fixed1.8.0.4, fixed1.8.1, polish
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
: Olga
Mentors:
Depends on: 315957 314301
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-21 21:05 PST by timeless
Modified: 2006-05-03 10:18 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (1.95 KB, patch)
2002-08-13 09:08 PDT, neil@parkwaycc.co.uk
timeless: review+
Details | Diff | Review
Fixed setting the title when uncollapsing (1.97 KB, patch)
2002-08-16 06:38 PDT, neil@parkwaycc.co.uk
dmose: review+
dmose: superreview+
Details | Diff | Review
Fix grippy clicking (4.06 KB, patch)
2005-10-27 07:56 PDT, neil@parkwaycc.co.uk
mnyromyr: review+
kairo: approval‑seamonkey1.0+
kairo: approval‑seamonkey1.0.2+
kairo: approval‑seamonkey1.1a+
Details | Diff | Review
Combined patch for branches (Checked in 1.8 & 1.8.0 branches) (6.96 KB, patch)
2006-04-08 15:38 PDT, Ian Neal
no flags Details | Diff | Review

Description timeless 2002-01-21 21:05:37 PST
mozilla currently wastes my eye cycles changing the window title to match the 
message while the preview is collapsed. this is annoying and makes it hard for 
me to find the folder i was browsing by checking the taskbar.
Comment 1 jglick 2002-02-04 13:34:02 PST
I agree. 

http://www.mozilla.org/mailnews/specs/threepane/#Title

"If a particular message has not yet been selected, or the "Message" pane is 
closed, the <Subject> would be omitted from the examples above where 
appropriate."
Comment 2 neil@parkwaycc.co.uk 2002-08-13 09:08:57 PDT
Created attachment 95107 [details] [diff] [review]
Proposed patch
Comment 3 neil@parkwaycc.co.uk 2002-08-13 09:34:25 PDT
Patch collision - Bug 127409's patch got mixed in, sorry :-)
Comment 4 neil@parkwaycc.co.uk 2002-08-16 06:38:00 PDT
Created attachment 95572 [details] [diff] [review]
Fixed setting the title when uncollapsing

Fortunately gDBView.reloadMessage will do nothing when I'm collapsing the pane.

However it's the only way I could figure out to set the title.
I really need to call nsMsgDBView::UpdateDisplayMessage but that's only called
either from LoadMsgByMsgKeyHelper which is called by ReloadMessage, or from
ndMsgDBView::SelectionChanged, but I can't get that case to work :-(
Comment 5 Dan Mosedale (:dmose) 2005-10-24 09:37:53 PDT
Comment on attachment 95572 [details] [diff] [review]
Fixed setting the title when uncollapsing

r+sr=dmose
Comment 6 neil@parkwaycc.co.uk 2005-10-24 16:07:02 PDT
Fix checked in.
Comment 7 neil@parkwaycc.co.uk 2005-10-27 07:56:27 PDT
Created attachment 200995 [details] [diff] [review]
Fix grippy clicking

I was having issues with grippy clicking because I was seeing too many events.
I also switched back to selectionChanged as it seems to be more reliable.
Comment 8 Karsten Düsterloh 2005-10-29 15:01:40 PDT
Comment on attachment 200995 [details] [diff] [review]
Fix grippy clicking

Can you elaborate a bit on what exactly this patch is about to fix? What "issues" did you run into?
Comment 9 Karsten Düsterloh 2005-10-30 12:32:40 PST
Comment on attachment 200995 [details] [diff] [review]
Fix grippy clicking

Okay, so ChangeMessagePaneVisibility is now only called once when toggling the message pane, and the error seen in 314301 is gone, too. :)
Comment 10 neil@parkwaycc.co.uk 2005-12-09 09:54:44 PST
Comment on attachment 200995 [details] [diff] [review]
Fix grippy clicking

Note: I'm not convinced many people do this, so it won't have got much testing
Comment 11 Robert Kaiser (not working on stability any more) 2005-12-09 15:59:44 PST
Comment on attachment 200995 [details] [diff] [review]
Fix grippy clicking

a=me given none of the touched files is shared with Thunderbird...
Comment 12 Ian Neal 2006-04-08 15:12:43 PDT
Comment on attachment 200995 [details] [diff] [review]
Fix grippy clicking

Re-requesting approval for branches as this never got checked into the branch.
Comment 13 Robert Kaiser (not working on stability any more) 2006-04-08 15:36:49 PDT
Comment on attachment 200995 [details] [diff] [review]
Fix grippy clicking

Given there are no other objections since I did that last time, a=me again for 1.8-based code :)
Comment 14 Ian Neal 2006-04-08 15:38:29 PDT
Created attachment 217700 [details] [diff] [review]
Combined patch for branches (Checked in 1.8 & 1.8.0 branches)

This is the equivalent combined patch for either of the branches.
Comment 15 Ian Neal 2006-04-08 15:46:40 PDT
Comment on attachment 217700 [details] [diff] [review]
Combined patch for branches (Checked in 1.8 & 1.8.0 branches)

Checking in (1.8 branch)
commandglue.js;
new revision: 1.258.4.6; previous revision: 1.258.4.5
mail3PaneWindowVertLayout.xul;
new revision: 1.106.2.4; previous revision: 1.106.2.3
messenger.xul;
new revision: 1.258.2.4; previous revision: 1.258.2.3
threadPane.js;
new revision: 1.80.4.5; previous revision: 1.80.4.4
widgetglue.js;
new revision: 1.171.4.1; previous revision: 1.171
done

Checking in (1.8.0 branch)
commandglue.js;
new revision: 1.258.10.6; previous revision: 1.258.10.5
mail3PaneWindowVertLayout.xul;
new revision: 1.106.2.1.2.3; previous revision: 1.106.2.1.2.2
messenger.xul;
new revision: 1.258.2.1.2.3; previous revision: 1.258.2.1.2.2
threadPane.js;
new revision: 1.80.12.2; previous revision: 1.80.12.1
widgetglue.js;
new revision: 1.171.12.1; previous revision: 1.171
done

Note You need to log in before you can comment on or make changes to this bug.